iar 4.30 Linker error

rtel wrote on Tuesday, April 25, 2006:

[moved from support request tracker, rb]

Hi all,

There’s a Demo/uIP_Demo_IAR_ARM7 directory in the
FreeRTOS source tree.

I am trying to compile and link the project using
version 4.30 of the iar kickstart version 4.30. I am
getting the following error at link time:

Fatal Error[e72]: Segment INTRAMSTART_REMAP must be
defined in a segment definition option (-Z, -b or -P)

I am not sure why, does anybody have any ideas why the
linker is complaining. I have changed a file that has
the Mac and the IP address information.

Many thanks

rtel wrote on Tuesday, April 25, 2006:

Are you using V4.30 or V4.30a?  According to the documentation V4.30a is required, but I’m not sure what the differences are.

Also as per the docs: "The SAM7X demo project requires the SAM7X IAR configuration files available from Atmel (AT91SAM7X256.i79, FlashAT91SAM7X256.d79, AT91SAM7X256.menu and ioat91sam7x256.ddf)", do you have these?  Maybe these are now included in the latest IAR release also.

You can download the latest KickStart version for free from the IAR WEB site.  I suggest upgrading to the latest then giving it another go.

Regards.

jadp wrote on Tuesday, April 25, 2006:

Hi Richard

Thanks for the heads up. I did have 4.30a installed but have now updated to version 4.31 and the link problem seems to be fixed.

Many thanks.

Best regards.